WarpBuild LogoWarpBuild Docs
Runners

GET /runners/default-group

Retrieves the default runner group configuration for a specific VCS integration. The default group determines which runner is used when a workflow does not specify explicit runner labels.

GET
/runners/default-group
Authorization<token>

In: header

Query Parameters

vcs_integration_id*string

Connected GitHub org (vcs integration) to read the default group for.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/runners/default-group?vcs_integration_id=string"
{
  "group_id": 0,
  "vcs_integration_id": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}